View Issue Details

IDProjectCategoryView StatusLast Update
0002838SOGoApple Calendar (Mac OS X)public2014-09-17 19:58
ReporterGunnar Weissmann Assigned Toludovic  
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version7 (Wheezy)
Target Version2.2.9Fixed in Version2.2.9 
Summary0002838: Calender deletion with umlauts (äöü) not working under iCal (6.0/7.0)
Description

OS 10.8.5 / iCal 6.0
OS 10.9.4 / iCal 7.0

In iCal (6.0/7.0) you can add a calender with umlauts (äöü) and everything works fine.
When you want do delete this calendar, the calendar is still there but all characters starting from the umlaut is cut off as you can see in the screenshot.
After that, it is not possible to delete this calendar with iCal, but in the SOGo webinterface. The name of the modified calendar in the SOGo webinterface is the same (Pr) so we think it is no rendering issue.

Out Database has UTF-8 encoding.

Thanks for your support!

Kind regards,

Gunnar Weissmann

Additional Information

SOGo Log

127.0.0.1 - - [03/Jul/2014:19:41:25 GMT] "REPORT /SOGo/dav/gunnarweissmann/Calendar/8F6-53B59580-1-2E892640/ HTTP/1.0" 207 126/301 0.013 - - 0
127.0.0.1 - - [03/Jul/2014:19:41:25 GMT] "MKCALENDAR /SOGo/dav/gunnarweissmann/Calendar/EEC971B8-506B-4100-ABC6-F0545961B1F4/ HTTP/1.0" 201 0/1124 0.031 - - 0
127.0.0.1 - - [03/Jul/2014:19:41:25 GMT] "DELETE /SOGo/dav/gunnarweissmann/Calendar/8F6-53B59580-1-2E892640/ HTTP/1.0" 204 0/0 0.022 - - 0
127.0.0.1 - - [03/Jul/2014:19:41:25 GMT] "PROPFIND /SOGo/dav/gunnarweissmann/Calendar/ HTTP/1.0" 207 1713/2097 0.024 17609 90% 0
127.0.0.1 - - [03/Jul/2014:19:41:25 GMT] "PROPPATCH /SOGo/dav/gunnarweissmann/Calendar/ HTTP/1.0" 403 250/425 0.003 - - 0
127.0.0.1 - - [03/Jul/2014:19:41:25 GMT] "PROPPATCH /SOGo/dav/gunnarweissmann/Calendar/ HTTP/1.0" 403 254/430 0.002 - - 0
127.0.0.1 - - [03/Jul/2014:19:41:25 GMT] "PROPFIND /SOGo/dav/gunnarweissmann/Calendar/personal/ HTTP/1.0" 207 322/181 0.009 - - 0
127.0.0.1 - - [03/Jul/2014:19:41:25 GMT] "PROPFIND /SOGo/dav/gunnarweissmann/Calendar/personal/ HTTP/1.0" 207 876/145 0.011 7132 87% 0
127.0.0.1 - - [03/Jul/2014:19:41:25 GMT] "PROPFIND /SOGo/dav/gunnarweissmann/Calendar/EEC971B8-506B-4100-ABC6-F0545961B1F4/ HTTP/1.0" 207 342/181 0.006 - - 0
127.0.0.1 - - [03/Jul/2014:19:41:25 GMT] "PROPFIND /SOGo/dav/gunnarweissmann/Calendar/EEC971B8-506B-4100-ABC6-F0545961B1F4/ HTTP/1.0" 207 373/145 0.006 - - 0
127.0.0.1 - - [03/Jul/2014:19:41:25 GMT] "PROPFIND /SOGo/dav/gunnarweissmann/Calendar/inbox/ HTTP/1.0" 207 311/181 0.002 - - 0

TagsNo tags attached.

Activities

Gunnar Weissmann

Gunnar Weissmann

2014-07-03 14:07

reporter  

sogo_umlauts.jpg (16,658 bytes)   
sogo_umlauts.jpg (16,658 bytes)   
Gunnar Weissmann

Gunnar Weissmann

2014-07-30 12:30

reporter   ~0007367

also regular calenders can't be deleted in iCal Version 6/7

ludovic

ludovic

2014-09-17 19:58

administrator   ~0007522

Umlauts bug fixed with this commit:

https://github.com/inverse-inc/sogo/commit/a338b193ba0078d0a858b431d43f2e251fb29651

Documentation on this iCal issue (when deleting calendars that keep reappearing) has been added in our FAQ:

http://www.sogo.nu/english/nc/support/faq/article/my-deleted-calendars-keep-reappearing-in-apple-ical.html

Issue History

Date Modified Username Field Change
2014-07-03 14:07 Gunnar Weissmann New Issue
2014-07-03 14:07 Gunnar Weissmann File Added: sogo_umlauts.jpg
2014-07-30 12:30 Gunnar Weissmann Note Added: 0007367
2014-09-12 11:22 ludovic Target Version => 2.2.9
2014-09-17 19:58 ludovic Note Added: 0007522
2014-09-17 19:58 ludovic Status new => resolved
2014-09-17 19:58 ludovic Fixed in Version => 2.2.9
2014-09-17 19:58 ludovic Resolution open => fixed
2014-09-17 19:58 ludovic Assigned To => ludovic
2014-09-26 14:08 ludovic Category Apple iCal.app => Apple Calendar (Mac OS X)